package com.kingdee.eas.custom.notify;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class RemoveContextCollection extends AbstractObjectCollection 
{
    public RemoveContextCollection()
    {
        super(RemoveContextInfo.class);
    }
    public boolean add(RemoveContextInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(RemoveContextCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(RemoveContextInfo item)
    {
        return removeObject(item);
    }
    public RemoveContextInfo get(int index)
    {
        return(RemoveContextInfo)getObject(index);
    }
    public RemoveContextInfo get(Object key)
    {
        return(RemoveContextInfo)getObject(key);
    }
    public void set(int index, RemoveContextInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(RemoveContextInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(RemoveContextInfo item)
    {
        return super.indexOf(item);
    }
}